TypeID (Hadoop 0.20.2-cdh3u0 API)
Date: 2011-03-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.record.meta
Class TypeID

    java.lang.Object
      org.apache.hadoop.record.meta.TypeID

Direct Known Subclasses:
  MapTypeID, StructTypeID, VectorTypeID

    public class TypeID

extends Object

Represents typeID for basic types.

Nested Class Summary
`static class` | `TypeID.RIOType` constants representing the IDL types we support

Field Summary
`static TypeID` | `BoolTypeID` Constant classes for the basic types, so we can share them.
`static TypeID` | `BufferTypeID`
`static TypeID` | `ByteTypeID`
`static TypeID` | `DoubleTypeID`
`static TypeID` | `FloatTypeID`
`static TypeID` | `IntTypeID`
`static TypeID` | `LongTypeID`
`static TypeID` | `StringTypeID`
`protected byte` | `typeVal`

Method Summary
`boolean` | `equals(Object o)` Two base typeIDs are equal if they refer to the same type
`byte` | `getTypeVal()` Get the type value.
`int` | `hashCode()` We use a basic hashcode implementation, since this class will likely not be used as a hashmap key

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BoolTypeID

    public static final TypeID BoolTypeID

  Constant classes for the basic types, so we can share them.

### BufferTypeID

    public static final TypeID BufferTypeID

### ByteTypeID

    public static final TypeID ByteTypeID

### DoubleTypeID

    public static final TypeID DoubleTypeID

### FloatTypeID

    public static final TypeID FloatTypeID

### IntTypeID

    public static final TypeID IntTypeID

### LongTypeID

    public static final TypeID LongTypeID

### StringTypeID

    public static final TypeID StringTypeID

### typeVal

    protected byte typeVal

Method Detail

### getTypeVal

    public byte getTypeVal()

  Get the type value. One of the constants in RIOType.

### equals

    public boolean equals(Object o)

  Two base typeIDs are equal if they refer to the same type

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  We use a basic hashcode implementation, since this class will likely not be used as a hashmap key

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation